﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
<meta http-equiv="content-type" content="text/html;charset=utf-8" />
<title>RadControls for ASP.NET AJAX</title>
</head>
<body>
<form id="form1" runat="server">
<asp:ScriptManager ID="ScriptManager1" runat="server" />
<div>

<h1>Set ImagesPath for RadGrid DateTimePicker</h1>

<h2>Using GridDateTimeColumnEditor</h2>

<telerik:GridDateTimeColumnEditor ID="GridDateTimeColumnEditor1" runat="server" ImagesPath="~/picker_images/" />

<telerik:RadGrid
	ID="RadGrid1"
	runat="server"
	EnableEmbeddedSkins="false"
	Skin="Custom"
	GridLines="Both"
	Width="500px"
	AutoGenerateColumns="false"
	DataSourceID="XmlDataSource1"
	>
	<MasterTableView>
		<Columns>
			<telerik:GridEditCommandColumn />
			<telerik:GridDateTimeColumn ColumnEditorID="GridDateTimeColumnEditor1" DataField="datetime" HeaderText="Date/Time" PickerType="DateTimePicker" />
		</Columns>
	</MasterTableView>	
</telerik:RadGrid>

<h2>Using RadGrid ItemCreated</h2>

<telerik:RadGrid
	ID="RadGrid2"
	runat="server"
	EnableEmbeddedSkins="false"
	Skin="Custom"
	GridLines="Both"
	Width="500px"
	AutoGenerateColumns="false"
	DataSourceID="XmlDataSource1"
	OnItemCreated="RadGrid2_ItemCreated"
	>
	<MasterTableView>
		<Columns>
			<telerik:GridEditCommandColumn />
			<telerik:GridDateTimeColumn DataField="datetime" HeaderText="Date/Time" PickerType="DateTimePicker" />
		</Columns>
	</MasterTableView>	
</telerik:RadGrid>

<asp:XmlDataSource ID="XmlDataSource1" runat="server" DataFile="~/datasource.xml" />

</div>
</form>
</body>
</html>
